[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# AbstractErrorProc

Custom abstract error handling procedure

## Declaration

Source position: systemh.inc line 1156

`const AbstractErrorProc: TAbstractErrorProc = Nil;`

## Description

If set, the AbstractErrorProc constant is used when an abstract error occurs. If it is not set, then the standard error handling is done: A stack dump is performed, and the program exits with error code 211.

The SysUtils unit sets this procedure and raises an exception in its handler.

## See also

TAbstractErrorProc |  | Abstract error handler procedural type.

Documentation generated on: Feb 26 2014